CentOS 7下安装MySQL与mariadb冲突的解决办法

首先centos7 已经不支持mysql,因为收费了你懂得,所以内部集成了mariadb,而安装mysql的话会和mariadb的文件冲突,所以需要先卸载掉mariadb。

由于确定使用mysql,那只有卸载mariadb了。

一、首先查看当前安装的mariadb包

rpm -qa|grep mariadb

本人得到结果是:mariadb-libs-5.5.44-2.el7.centos.x86_64

二、卸载mariadb

rpm -e mariadb-libs-5.5.44-2.el7.centos.x86_64得到错误提示如下:

1 error: Failed dependencies:
2     libmysqlclient.so.18()(64bit) is needed by (installed) postfix-2:2.10.1-6.el7.x86_64
3     libmysqlclient.so.18(libmysqlclient_18)(64bit) is needed by (installed) postfix-2:2.10.1-6.el7.x86_64

提示有第三方的库依赖。

三、强制卸载mariadb

rpm -e --nodeps mariadb-libs-5.5.44-2.el7.centos.x86_64

四、安装Mysql的库。

展开阅读全文

没有更多推荐了,返回首页